# This dockerfile is specific to building Multus admission controller for OpenShift
FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202109210857.p0.git.64645fe.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109210857.p0.git.64645fe.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=64645fe OS_GIT_VERSION=4.8.0-202109210857.p0.git.64645fe.assembly.stream-64645fe SOURCE_DATE_EPOCH=1627395326 SOURCE_GIT_COMMIT=64645febe4129a794b1291d0a375a7b2bb7fba39 SOURCE_GIT_TAG=64645fe SOURCE_GIT_URL=https://github.com/openshift/multus-admission-controller 

# Add everything
ENV PKG_NAME=github.com/k8snetworkplumbingwg/net-attach-def-admission-controller
ENV PKG_PATH=/go/src/$PKG_NAME
ENV GO111MODULE=off
RUN mkdir -p $PKG_PATH

COPY . $PKG_PATH/
WORKDIR $PKG_PATH
# RUN go install ./...
RUN ./build.sh

WORKDIR /

FROM openshift/ose-base:v4.8.0.20210921.090512
ENV __doozer=update BUILD_RELEASE=202109210857.p0.git.64645fe.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109210857.p0.git.64645fe.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=64645fe OS_GIT_VERSION=4.8.0-202109210857.p0.git.64645fe.assembly.stream-64645fe SOURCE_DATE_EPOCH=1627395326 SOURCE_GIT_COMMIT=64645febe4129a794b1291d0a375a7b2bb7fba39 SOURCE_GIT_TAG=64645fe SOURCE_GIT_URL=https://github.com/openshift/multus-admission-controller 
COPY --from=builder /go/src/github.com/k8snetworkplumbingwg/net-attach-def-admission-controller/bin/webhook /usr/bin/


CMD ["/usr/bin/webhook"]

LABEL \
        io.k8s.display-name="Container Networking Plugins" \
        io.k8s.description="This is a component of OpenShift Container Platform and provides an admission controller for Multus CNI custom resources." \
        io.openshift.tags="openshift" \
        maintainer="Doug Smith <dosmith@redhat.com>" \
        name="openshift/ose-multus-admission-controller" \
        com.redhat.component="ose-multus-admission-controller-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="multus" \
        release="202109210857.p0.git.64645fe.assembly.stream" \
        io.openshift.build.commit.id="64645febe4129a794b1291d0a375a7b2bb7fba39" \
        io.openshift.build.source-location="https://github.com/openshift/multus-admission-controller" \
        io.openshift.build.commit.url="https://github.com/openshift/multus-admission-controller/commit/64645febe4129a794b1291d0a375a7b2bb7fba39" \
        version="v4.8.0"

